#
# spec file for package python-sphinx-argparse
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
Name:           python-sphinx-argparse
Version:        0.4.0
Release:        1.6
Summary:        Sphinx extension to document argparse commands and options
License:        MIT
URL:            https://github.com/ashb/sphinx-argparse
Source0:        https://files.pythonhosted.org/packages/source/s/sphinx-argparse/sphinx_argparse-%{version}.tar.gz
BuildRequires:  %{python_module CommonMark}
BuildRequires:  %{python_module Sphinx >= 1.2.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Sphinx extension that automatically documents argparse commands and options.

%prep
%autosetup -p1 -n sphinx_argparse-%{version}

%build
%python_build

%install
%python_install
# Remove test files, they are in a seperate 'test' module.
%python_expand rm -r %{buildroot}%{$python_sitelib}/test
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun May 14 2023 Dirk Müller <dmueller@suse.com>
- update to 0.4.0:
  * Minimum python version is now 3.7
  * Update linters
  * Modern readthedocs config
  * feat: find executable filename to address #16
  * Test against python 3.11 too
* Tue Oct 18 2022 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.3.2:
  * Modernize project: Py3.6+, black, flynt, flake8, Github Actions
  * Fix tests for python-3.10 and add 3.10 to CI matrix
- Remove patch python-sphinx-argparse-python310.patch, included upstream.
* Thu Feb 17 2022 pgajdos@suse.com
- version update to 0.3.1
  0.3.1
  Include tests in sdist
  0.3.0
  First release from ashb/sphinx-argparse
  Declare that parallel builds are supported (issue #131).
- deleted sources
  - LICENSE-sphinx-argparse (in tarball)
- added patches
  fix https://github.com/ashb/sphinx-argparse/commit/fdb7e448b2776986415cb724d9bb3eed424e23b2
  + python-sphinx-argparse-python310.patch
- remove patches which were included upstream
  - prog-in-description.patch
* Fri Jun 12 2020 Matej Cepl <mcepl@suse.com>
- Resolve the mess with different
  patches. different_pytest_name.patch has been
  replaced by prog-in-description.patch from
  gh#alex-rudakov/sphinx-argparse#121
* Fri Dec 13 2019 Matej Cepl <mcepl@suse.com>
- Add different_pytest_name.patch to use environmental variable
  PYTEST_NAME to find out what's the current name of the pytest
  executable. gh#alex-rudakov/sphinx-argparse#121
* Sat Dec  7 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.2.5
- Added license file
* Tue Jul 19 2016 tbechtold@suse.com
- Initial packaging (version 0.1.15)
